Subject: Re: mywinsock.h
From: [email-masked]

13 Jan 1998 05:37:14 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Brent Flannery ([email-masked])
>Continuing with my problem... (which may simply not be solvable at this
>point) I see there are no definitions for the unix ip and iphdr and udp
>either in mywinsock.h or in any of the include dir's.. am I just out of luck
>here?:(
>
Not exactly.  If you are porting Unix apps, they won't reference winsock.h
at all, and they will get <sys/socket.h> or something that will end up
putting them in <cygwin32/*.h> where their winsocket calls will be modified
to
	cygwin_gethostname(...) instead of gethosthame(...)
or whatever.

If you use the gnu winsock.h, you'll find that it is buggy (`alpha'),
and that you can fix it by going through it putting in ifdefs for all
the <sys/*.h> files it includes without protecting with ifdefs.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".